/*******************************************************************************
 * FoxWeapon_ShellGunBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeapon_ShellGunBase extends FoxWeapon_ShotgunBase
    abstract
    config(Launcher)
    hidecategories(Navigation);

function AddKillMomentum(FoxPawn Victim, Vector TraceStart)
{
    local float DistanceToVictim, HitDistanceRatio;

    DistanceToVictim = VSize(Location - Victim.Location);
    HitDistanceRatio = DistanceToVictim / MaxRange;
    Victim.TakeDamageStartLoc = TraceStart;
    Victim.TakeDamageMomentumMultiplier = KillMomentumScalar * Lerp(1.0, 0.0, FMin(1.0, HitDistanceRatio));
    //return;    
}

defaultproperties
{
    bEnableArmoryIdleIK=false
    bSupportsBarrelMods=false
    bSupportsMagazineMods=false
    bSupportsStockMods=false
    bSupportsGripMods=false
    FireFeedbackWaveform=ForceFeedbackWaveform'Default__FoxWeapon_ShellGunBase.ForceFeedbackWaveformFire'
    TightAimCameraShake=CameraShake'Default__FoxWeapon_ShellGunBase.Shake0'
    NormalCameraShake=CameraShake'Default__FoxWeapon_ShellGunBase.Shake1'
    MuzzleFlashLight=PointLightComponent'Default__FoxWeapon_ShellGunBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.27213360
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeapon_ShellGunBase.LensComp'
    MuzzleLensFlare=LensComp
    FiringStatesArray=/* Array type was not detected. */
    WeaponFireTypes=/* Array type was not detected. */
    begin object name=WeaponMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeapon_ShellGunBase.WeaponMesh'
    Mesh=WeaponMesh
}